## ros-kinetic-moveit-visual-tools 3.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_visual_tools)

# C++ 11 required for OMPL
add_compile_options(-std=c++11)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  rviz_visual_tools
  eigen_conversions
  geometry_msgs
  moveit_ros_planning
  moveit_core
  roscpp
  tf_conversions
  visualization_msgs
  graph_msgs
  std_msgs
  trajectory_msgs
  cmake_modules
  roslint
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED system)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    rviz_visual_tools
    moveit_ros_planning
    moveit_core
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    trajectory_msgs
  INCLUDE_DIRS include
)

## Build
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/imarker_robot_state.cpp
  src/imarker_end_effector.cpp
)
add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)


#############
## Testing ##
#############

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-moveit-visual-tools (3.4.1-0xenial) xenial; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Changing variable names for consistency and clang (#33 <https://github.com/ros-planning/moveit_visual_tools/issues/33>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * No spinOnce when triggering (#32 <https://github.com/ros-planning/moveit_visual_tools/issues/32>)
  * Allow setting joint values for end-effector marker
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Fix Continuous Integration
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Contributors: Dave Coleman, Mike Lautman, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 07:00:00 -0000

ros-kinetic-moveit-visual-tools (3.4.0-0xenial) xenial; urgency=high

  * Apply current MoveIt clang-format
  * Various improvements needed while finishing planning thesis
  * Fix greater than/less than issue in clearance check
  * Ability to specify clearance for random state
  * Small threading fixes
  * imarker: Fix setToRandomState()
    imarker: Switch to std::makeshared
  * Improve console output
  * Contributors: Dave Coleman, Mike Lautman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 27 Dec 2017 07:00:00 -0000

ros-kinetic-moveit-visual-tools (3.3.0-0xenial) xenial; urgency=high

  * Change error message to warning
  * Make planning scene monitor publicly exposed
  * Remove label from imarkers
  * Ability to move a collision object without removing it first
  * IMarkerRobotState: update imarkers location when setting robot state
  * IMarkerRobotState: Added setRobotState()
  * IMarkerRobotState: Renamed function publishRobotState()
  * MoveItVisualTools: renamed variable to psm_
  * Expose verbose collision checking
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 20 Jun 2017 06:00:00 -0000

ros-kinetic-moveit-visual-tools (3.2.1-0xenial) xenial; urgency=high

  * New publishTrajectoryPath() functions
  * New publishTrajectoryLine() functions
  * getRobotState() return by reference
  * Trajectory path has smaller vertices
  * IMarkerRobotState: added isStateValid()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Nov 2016 06:00:00 -0000

ros-kinetic-moveit-visual-tools (3.2.0-0xenial) xenial; urgency=high

  * Added publishState() to imarker_robot_state
  * New publishTrajectoryLine() function that automatically chooses end effectors to visualize
  * New collision table function that takes z input
  * Fixed callbacks for multiple EEFs
  * Allow for two end effectors
  * Ability to use two end effectors for interactive markers
  * Make ik solving at any end effector link, not just end of kinematic chain
  * Better debugging for collision
  * Only save when mouse up
  * Fix API for changes in rviz_visual_tools
  * Allow collision walls to have variable z location
  * Make applyVirtualJointTransform() static
  * Make checkForVirtualJoint() static
  * IMarkerRobotState remove offset capability
  * IMarkerRobotState remove imarker box control
  * Switched travis to MoveIt! CI
  * Added new IMarker Robot control method
  * Cleaned up code base: catkin lint, roslint
  * Fixed bug in planning scene triggering
  * Optimize planning scene updates to only update GEOMETRY
  * Fix xacro
  * Upgrade to Eigen3 per ROS Kinetic requirements
  * New publishRobotState() function
  * Fix Eigen bugs
  * Removed deprecated code
  * Converted to C++11
  * Optional blocking publisher calls
  * Added getter for getRobotRootState()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 20 Oct 2016 06:00:00 -0000

ros-kinetic-moveit-visual-tools (3.1.0-0xenial) xenial; urgency=high

  * Re-factored and fixed visual tools demo!
  * Fixes for catkin lint
  * Fixes for roslint
  * Removed deprecated function call
  * Remove deprecated test
  * New root_robot_state utilization
  * Ablity to move a RobotState's root frame permenatly around in the scene
  * Better publishCollisionWall() function
  * Deprecated old publishTrajectoryLine() functions - removed clear_all_markers argument
  * New publishTrajectoryPath() variant
  * Rename namespace of RobotState
  * Made INFO into DEBUG output
  * New publishTrajectoryLine function
  * Switched publishTrajectoryLine to use cylinders instead of lines
  * New showJointLimits() function for console debugging a robot state
  * Fix publishTrajectoryPath() bug
  * Default blocking time for trajectory if not parameterized
  * Publish workspace parameters was incorrectly creating a collision object
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 28 Apr 2016 06:00:00 -0000

ros-kinetic-moveit-visual-tools (3.0.5-0xenial) xenial; urgency=high

  * Updated README
  * Better comment
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 09 Feb 2016 07:00:00 -0000

ros-kinetic-moveit-visual-tools (3.0.4-0xenial) xenial; urgency=high

  * Removed stray debug output
  * Improved debugging output for the hideRobot() feature and virtual_joints
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 12 Jan 2016 07:00:00 -0000



=== debian/control ===
Source: ros-kinetic-moveit-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rviz-visual-tools, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rviz-visual-tools, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt! data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-visual-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
